#!/usr/bin/perl

# Calculamos los valores para dibujar
# un cilindro.
# La salida est en formato para Space3D

$k = 10;
$r = 0.5;
$l = 0.9;

print "FACES $k\n";

$theta = 2*3.141592654/$k;
$theta2 = 3.141592654/$k;

$l2 = $l;

for ( $i=0; $i<$k; $i++ ){
	$j = ($i+1)%$k;

	$ang1 = $theta * $i;
	$ang2 = $theta * $j;

	$x1 = $r * cos ( $ang1 );
	$z1 = $r * sin ( $ang1 );
	$x2 = $r * cos ( $ang2 );
	$z2 = $r * sin ( $ang2 );

	$nx = cos ( $ang1 + $theta2 );
	$nz = sin ( $ang1 + $theta2 );

	print "NORMAL $nx 0 $nz\n";
	print "GREYTONE 200\n";
	print "POLYGON 4\n";

	print "$x2 $l2 $z2\n";  
	print "$x1 $l2 $z1\n";  
	print "$x1 -$l2 $z1\n";  
	print "$x2 -$l2 $z2\n";  
}

